Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024145
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Discounts and Promotionsminorhave not tried2013-06-20 12:042013-07-22 09:09
ReporteradrianromeroView Statuspublic 
Assigned Tomarvintm 
PriorityhighResolutionfixedFixed in VersionRMP25
StatusclosedFix in branchFixed in SCM revision0d7c3461640c
ProjectionnoneETAnoneTarget VersionRMP25
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024145: Discretionary discount may produce negative totals. This must be avoided.

DescriptionIf for example a discretionary discount of 50.00€ is applied to a ticket with a total of 30.00€ the result is a ticket of -20.00€. This scenario must be avoided.
Steps To ReproduceIn description
Proposed SolutionTwo suggestions: do not allowing to apply a discount if the result is negative or if the discount is greater than the total, set the total to 0.00€ but not negative.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate design defect 0022996 closedadrianromero Fixed amount discounts can cause a total negative ticket amount 
related to defect 0024305RMP27 closedmarvintm Discretionary discounts may produce a discount applied not only to the receipt line. 

-  Notes
(0059830)
hgbot (developer)
2013-07-03 10:55

Repository: erp/pmods/org.openbravo.retail.discounts
Changeset: 43483bd5ab48e7373019371881f5e0704f852832
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Jul 03 10:54:14 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/43483bd5ab48e7373019371881f5e0704f852832 [^]

Fixed issue 24145. Discretionary discounts with defined amounts will be applied for the receipt total amount instead of the discount total amount to avoid a negative total amount.

---
M web/org.openbravo.retail.discounts/js/promotion-manual.js
---
(0059831)
hgbot (developer)
2013-07-03 10:59

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 0d7c3461640cc2c801ecc3dec44f43bbe1f53047
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Jul 03 10:58:17 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0d7c3461640cc2c801ecc3dec44f43bbe1f53047 [^]

Fixed issue 24145. Users will not be able to 'pay' an order with a negative total amount.

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-left.js
---
(0059832)
marvintm (developer)
2013-07-03 11:03

The solution finally adopted is the following:
- Discretionary discounts manually applied for an amount greater than the total of the order will be changed so that the discounted amount is the same as the total amount, so that the final total amount of the order is zero, not negative.
- Other types of discounts (ie. automatically applied discounts) are not changed. If these discounts produce a negative amount, this is considered a configuration error (this should only happen for example if a discount defined for a product has a discounted amount which is greater than the product price. This normally should never happen).
- In any case, a validation which prevents the user from paying an order with a negative amount has been added. This will prevent the user from mistakenly generating wrong orders in case of an incorrect configuration of the system.
(0059864)
hgbot (developer)
2013-07-04 16:41

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: 0d7c3461640cc2c801ecc3dec44f43bbe1f53047
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Jul 03 10:58:17 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/0d7c3461640cc2c801ecc3dec44f43bbe1f53047 [^]

Fixed issue 24145. Users will not be able to 'pay' an order with a negative total amount.

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-left.js
---
(0060135)
guilleaer (developer)
2013-07-22 09:09

verified

- Issue History
Date Modified Username Field Change
2013-06-20 12:04 adrianromero New Issue
2013-06-20 12:04 adrianromero Assigned To => marvintm
2013-07-03 10:55 hgbot Checkin
2013-07-03 10:55 hgbot Note Added: 0059830
2013-07-03 10:55 hgbot Status new => resolved
2013-07-03 10:55 hgbot Resolution open => fixed
2013-07-03 10:55 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/43483bd5ab48e7373019371881f5e0704f852832 [^]
2013-07-03 10:59 hgbot Checkin
2013-07-03 10:59 hgbot Note Added: 0059831
2013-07-03 10:59 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/43483bd5ab48e7373019371881f5e0704f852832 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0d7c3461640cc2c801ecc3dec44f43bbe1f53047 [^]
2013-07-03 11:03 marvintm Note Added: 0059832
2013-07-04 16:41 hgbot Checkin
2013-07-04 16:41 hgbot Note Added: 0059864
2013-07-04 16:41 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0d7c3461640cc2c801ecc3dec44f43bbe1f53047 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/0d7c3461640cc2c801ecc3dec44f43bbe1f53047 [^]
2013-07-10 12:40 adrianromero Relationship added related to 0024305
2013-07-22 09:09 guilleaer Review Assigned To => guilleaer
2013-07-22 09:09 guilleaer Note Added: 0060135
2013-07-22 09:09 guilleaer Status resolved => closed
2013-07-22 09:09 guilleaer Fixed in Version => RMP25
2014-01-13 09:12 guilleaer Relationship added has duplicate 0022996


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker